<template>
  <page fluid>
    <b-card-group tag="section" class="metrics" deck>
      <metric v-for="(m, i) of metrics" :key="i" :title="m.title" :data="m.data" :info="m.info" :icon="m.icon"/>
    </b-card-group>

    <section class="row">
      <div class="col">
        <b-card>
          <chart v-for="chart of charts" :key="chart.name"
            :id="chart.name"
            :data="chart.data"
            :title="chart.title"
            :options="chart.options"/>
        </b-card>
      </div>
    </section>
  </page>
</template>

<script>
import Chart from '@/components/chart'
import Metric from '@/components/metric'

export default {
  name: 'dashboard',

  components: { Chart, Metric },

  data () {
    return {
      metrics: [
        {
          title: 'Page Views',
          data: 123,
          icon: 'eye',
          info: '+12% since last week'
        },
        {
          title: 'Weekly Sales',
          icon: 'activity',
          type: 'line-chart',
          data: {
            value: 123,
            labels: [1, 2, 3, 4, 5, 6, 7],
            series: [
              [13, 7, 14, 2, 14, 6, 3]
            ]
          }
        },
        {
          title: 'Monthly Earnings ($)',
          data: 2300,
          icon: 'send',
          info: '-6% since last month'
        },
        {
          title: 'Completed Orders',
          data: [80, 143],
          icon: 'truck',
          type: 'progress'
        }
      ],

      charts: [
        {
          name: 'chart-1',
          title: 'Chart 1',
          data: {
            labels: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
            series: [
              [18, 40, 30, 35, 8, 52, 17, 6]
            ]
          },
          options: {
            showArea: true,
            fullWidth: true
          }
        }
      ]
    }
  }
}
</script>
